# Order Create In Store

Tạo đơn bán tại cửa hàng trong Salework Kho Vận.

#### Request Headers

{% code overflow="wrap" lineNumbers="true" %}

```
client-id: 123456
token: 50000601c30atpedfgu3LVvik87Ixlsvle3mSoB7701ceb156fPunYZ43GBg
```

{% endcode %}

#### Request Body

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "warehouse_id": "SaleworkWarehouse",
    "order_info": {
        "selected_payment": "the selected payment method"
        "total_price": 0,
        "cod": 0,
        "price_policy": "retail_price",
        "discount": 0,
        "discount_type": "VND",
        "prepaid": 0,
        "note": "This is order note!",
        "complete_now": false
    },
    "products_info": [
        {
            "code": "PRODUCT_CODE",
            "quantity": 1
        }
    ],
    "customer_info": {
        "name": "John Doe",
        "phone": "0123456789",
        "phone_alt": "",
        "address": "123 ABC Street",
        "province_id": "01",
        "district_id": "011",
        "ward_id": "00111",
        "note": "This is customer note!"
    },
    "delivery_info": {
        "logistics": "inStore"
    }
}
```

{% endcode %}

#### Response Body

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "status": "success",
    "data": {}
}
```

{% endcode %}

#### Parameters

<table><thead><tr><th width="282">Parameters</th><th width="121">Type</th><th width="104">Required</th><th width="189">Note</th></tr></thead><tbody><tr><td>warehouse_id</td><td>string</td><td>yes</td><td></td></tr><tr><td>order_info</td><td>object</td><td>no</td><td></td></tr><tr><td>      selected_payment</td><td>string</td><td>no</td><td>"Tiền mặt" || "Chuyển khoản" || "Quẹt thẻ"</td></tr><tr><td>      total_price</td><td>number</td><td>no</td><td></td></tr><tr><td>      cod</td><td>number</td><td>no</td><td></td></tr><tr><td>      price_policy</td><td>string</td><td>no</td><td></td></tr><tr><td>      discount</td><td>number</td><td>no</td><td></td></tr><tr><td>      discount_type</td><td>string</td><td>no</td><td></td></tr><tr><td>      prepaid</td><td>number</td><td>no</td><td></td></tr><tr><td>      note</td><td>string</td><td>no</td><td></td></tr><tr><td>      complete_now</td><td>boolean</td><td>no</td><td></td></tr><tr><td>products_info</td><td>object[]</td><td>yes</td><td></td></tr><tr><td>      code</td><td>string</td><td>yes</td><td></td></tr><tr><td>      quantity</td><td>number</td><td>yes</td><td></td></tr><tr><td>customer_info</td><td>object</td><td>yes</td><td></td></tr><tr><td>      name</td><td>string</td><td>yes</td><td></td></tr><tr><td>      phone</td><td>number</td><td>yes</td><td></td></tr><tr><td>      phone_alt</td><td>string</td><td>no</td><td></td></tr><tr><td>      address</td><td>string</td><td>yes</td><td></td></tr><tr><td>      province_id</td><td>number</td><td>yes</td><td></td></tr><tr><td>      district_id</td><td>number</td><td>yes</td><td></td></tr><tr><td>      ward_id</td><td>number</td><td>yes</td><td></td></tr><tr><td>      note</td><td>string</td><td>no</td><td></td></tr><tr><td>delivery_info</td><td>object</td><td>yes</td><td></td></tr><tr><td>      logistics</td><td>string</td><td>yes</td><td></td></tr><tr><td></td><td></td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.salework.net/salework-tai-lieu/he-thong-ho-tro/salework-open-api/order-create-in-store.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
